#
# spec file for package zip (Version 2.32)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           zip
License:        BSD3c
Group:          Productivity/Archiving/Compression
Provides:       crzip
Obsoletes:      crzip
AutoReqProv:    on
Version:        2.32
Release:        78
Summary:        File compression program
Url:            http://www.info-zip.org/
Source:         %name-%version.tar.bz2
Patch1:         zip-2.3-tempfile.patch
Patch2:         zip-2.3-iso8859_2.patch
Patch3:         zip-2.3-nonexec-stack.patch
Patch4:         zip-2.3-optflags.patch
Patch5:         zip-notimestamp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zip is a compression and file packaging utility. It is compatible with
PKZIP(tm) 2.04g (Phil Katz ZIP) for MS-DOS systems.



Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4
%patch5

%build
make %{?jobs:-j%jobs} -f unix/Makefile prefix=/usr CC="gcc $RPM_OPT_FLAGS -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" generic_gcc

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install -f unix/Makefile BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL LICENSE MANUAL README TODO WHATSNEW WHERE
%doc %{_mandir}/man1/zip.1.gz
/usr/bin/zip
/usr/bin/zipcloak
/usr/bin/zipnote
/usr/bin/zipsplit

%changelog
